Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
dataforseo_labs
/
apple
/
app_competitors
/
live
App Store App Competitors Live
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/apple/app_competitors/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_id": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "limit": 123,
  "offset": 123,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.se_type": "<string>",
  "tasks.result.app_id": "<string>",
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.se_type": "<string>",
  "tasks.result.items.app_id": "<string>",
  "tasks.result.items.avg_position": 123,
  "tasks.result.items.sum_position": 123,
  "tasks.result.items.intersections": 123,
  "tasks.result.items.competitor_metrics": {},
  "tasks.result.items.competitor_metrics.app_store_search_organic": {},
  "tasks.result.items.competitor_metrics.app_store_search_organic.pos_1": 123,
  "tasks.result.items.competitor_metrics.app_store_search_organic.pos_2_3": 123,
  "tasks.result.items.competitor_metrics.app_store_search_organic.pos_4_10": 123,
  "tasks.result.items.competitor_metrics.app_store_search_organic.pos_11_100": 123,
  "tasks.result.items.competitor_metrics.app_store_search_organic.count": 123,
  "tasks.result.items.competitor_metrics.app_store_search_organic.search_volume": 123,
  "tasks.result.items.full_metrics": {},
  "tasks.result.items.full_metrics.app_store_search_organic": {},
  "tasks.result.items.full_metrics.app_store_search_organic.pos_1": 123,
  "tasks.result.items.full_metrics.app_store_search_organic.pos_2_3": 123,
  "tasks.result.items.full_metrics.app_store_search_organic.pos_4_10": 123,
  "tasks.result.items.full_metrics.app_store_search_organic.pos_11_100": 123,
  "tasks.result.items.full_metrics.app_store_search_organic.count": 123,
  "tasks.result.items.full_metrics.app_store_search_organic.search_volume": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
app_id
string
required

id of the app required field ID of the mobile application on App Store; you can find the ID in the URL of every app listed on App Store; example: in the URL https://apps.apple.com/us/app/id835599320 the id is 835599320

location_name
string
required

full name of the location required field if you don’t specify location_code Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_name by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US location only; example: United States

location_code
integer
required

location code required field if you don’t specify location_name Note: it is required to specify either location_name or location_code you can receive the list of available locations with their location_code by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US location only; example: 2840

language_name
string
required

full name of the language required field if you don’t specify language_code Note: it is required to specify either language_name or language_code you can receive the list of available languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the English language only; example: English

language_code
string
required

language code required field if you don’t specify language_name Note: it is required to specify either language_name or language_code you can receive the list of available languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the English language only example: en

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: , , >, >=, =, , in, not_in example: ["intersections",">",500] [["competitor_metrics.app_store_search_organic.pos_1","",10],"and",["avg_position",">=","10"]] [[["intersections",">=",50],"and",["competitor_metrics.app_store_search_organic.pos_1","in",[1,5]]], "or", ["sum_position",">=","10000"]] for more information about filters, please refer to Dataforseo Labs – Filters or this help center guide

order_by
string[]

results sorting rules optional field you can use the same values as in the filters array to sort the results; possible sorting types: asc – results will be sorted in the ascending order; desc – results will be sorted in the descending order; you should use a comma to specify a sorting type; example: ["intersections,asc"] Note: you can set no more than three sorting rules in a single request; you should use a comma to separate several sorting rules; example: ["intersections,desc","sum_position,asc"] default rule: ["intersections,desc"] Note: if the item_types array contains item types that are different from organic, the results will be ordered by the first item type in the array

limit
integer

the maximum number of returned apps optional field default value: 100 maximum value: 1000

offset
integer

offset in the results array of returned apps optional field default value: 0 if you specify the 10 value, the first ten apps in the results array will be omitted and the data will be provided for the successive keywords

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.se_type
string

search engine type

tasks.result.app_id
string

id of the app in a POST array

tasks.result.location_code
integer

location code in a POST array

tasks.result.language_code
string

language code in a POST array

tasks.result.total_count
integer

total amount of results in our database relevant to your request

tasks.result.items_count
integer

the number of results returned in the items array

tasks.result.items
string[]

contains data related to the app_id and competitor applications

tasks.result.items.se_type
string

search engine type

tasks.result.items.app_id
string

id of the competitor app

tasks.result.items.avg_position
number

average position of the app in App Store SERP Note: average position is calculated for intersected keywords only; the value for a given application may differ when combined with different target applications

tasks.result.items.sum_position
integer

sum of all app positions in App Store SERP Note: sum position is calculated for intersected keywords only; the value for a given application may differ when combined with different target applications

tasks.result.items.intersections
integer

number of intersecting keywords

tasks.result.items.competitor_metrics
object

metrics for intersecting keywords ranking data relevant to the keywords that the provided competitor application shares with the app in a POST request; note: in this array ranking data is provided for the returned competitor’s app_id

tasks.result.items.competitor_metrics.app_store_search_organic
object

ranking data from App Store organic search

tasks.result.items.competitor_metrics.app_store_search_organic.pos_1
integer

number of SERPs where the competitor app ranks #1 in organic results

tasks.result.items.competitor_metrics.app_store_search_organic.pos_2_3
integer

number of SERPs where the competitor app ranks #2-3 in organic results

tasks.result.items.competitor_metrics.app_store_search_organic.pos_4_10
integer

number of SERPs where the competitor app ranks #4-10 in organic results

tasks.result.items.competitor_metrics.app_store_search_organic.pos_11_100
integer

number of SERPs where the competitor app ranks #11-100 in organic results

tasks.result.items.competitor_metrics.app_store_search_organic.count
integer

total count of organic SERPs that contain the competitor app

tasks.result.items.competitor_metrics.app_store_search_organic.search_volume
integer

total search volume of the intersecting keywords in App Store organic SERP

tasks.result.items.full_metrics
object

metrics for all keywords of the application full overview of ranking data relevant to all keywords that the provided app_id is ranking for

tasks.result.items.full_metrics.app_store_search_organic
object

ranking data from App Store organic search

tasks.result.items.full_metrics.app_store_search_organic.pos_1
integer

number of SERPs where the competitor app ranks #1 in organic results

tasks.result.items.full_metrics.app_store_search_organic.pos_2_3
integer

number of SERPs where the competitor app ranks #2-3 in organic results

tasks.result.items.full_metrics.app_store_search_organic.pos_4_10
integer

number of SERPs where the competitor app ranks #4-10 in organic results

tasks.result.items.full_metrics.app_store_search_organic.pos_11_100
integer

number of SERPs where the competitor app ranks #11-100 in organic results

tasks.result.items.full_metrics.app_store_search_organic.count
integer

total count of organic SERPs that contain the competitor app

tasks.result.items.full_metrics.app_store_search_organic.search_volume
integer

total search volume of the app’s ranking keywords in App Store organic SERP